org.apache.ignite.ml.util.generators.standard

## Class RingsDataStream

- java.lang.Object
- - org.apache.ignite.ml.util.generators.standard.RingsDataStream

- All Implemented Interfaces:
    DataStreamGenerator

      public class RingsDataStream
      extends Object
      implements DataStreamGenerator

  Represents a data stream of vectors produced by family of ring-like distributions around zero blurred by gauss distribution. First ring equals minRadius next ring radius = prev_radius + distanceBetweenRings.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.ignite.ml.util.generators.DataStreamGenerator

      `FILL_CACHE_BATCH_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RingsDataStream(int cntOfRings, double minRadius, double distanceBetweenRings)` Create an instance of RingsDataStream.
    `RingsDataStream(int cntOfRings, double minRadius, double distanceBetweenRings, long seed)` Create an instance of RingsDataStream.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Stream<LabeledVector<Double>>` | `labeled()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.util.generators.DataStreamGenerator

      `asDatasetBuilder, asDatasetBuilder, asDatasetBuilder, asMap, blur, fillCacheWithCustomKey, fillCacheWithVecHashAsKey, fillCacheWithVecUUIDAsKey, labeled, mapVectors, unlabeled`

- - ### Constructor Detail

    - #### RingsDataStream

          public RingsDataStream(int cntOfRings,
                                 double minRadius,
                                 double distanceBetweenRings)

      Create an instance of RingsDataStream.
      Parameters:
        `cntOfRings` - Count of circles.
        `minRadius` - Min radius.
        `distanceBetweenRings` - Distance between circles.

    - #### RingsDataStream

          public RingsDataStream(int cntOfRings,
                                 double minRadius,
                                 double distanceBetweenRings,
                                 long seed)

      Create an instance of RingsDataStream.
      Parameters:
        `cntOfRings` - Count of circles.
        `minRadius` - Min radius.
        `distanceBetweenRings` - Distance between circles.
        `seed` - Seed.

  - ### Method Detail

    - #### labeled

          public Stream<LabeledVector<Double>> labeled()

      Specified by:
        `labeled` in interface `DataStreamGenerator`
      Returns:
        Stream of `LabeledVector` in according to dataset shape.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023